> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Visitor's Status ## OpenAPI ````json POST /api/v1/livechat/visitors.status { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/visitors.status": { "parameters": [], "post": { "summary": "Set Visitor's Status", "operationId": "post-api-v1-livechat-visitors.status", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "token": { "type": "string" }, "status": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "token": "54fc5544030bcecda0533", "status": "busy", "success": "true" } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "Match error: Missing key 'token'" } }, "Example 2": { "value": { "success": "false", "error": "Match error: Missing key 'status'" } } } } } } }, "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "token": { "type": "string", "description": "The visitor token." }, "status": { "type": "string", "description": "The visitor status." } }, "required": [ "token", "status" ] }, "examples": { "Example 1": { "value": { "token": "54fc5544030bcecda0533", "status": "busy" } } } } } }, "tags": [ "Omnichannel Visitors" ] } } } } ````